
@media (min-width: 280px){

  .alertbell {
    position: absolute;
  }
  .bell {
    position: absolute;
    z-index: 999;
    margin: 2.4rem 0 0 6rem;
    cursor: pointer;
    animation-name: shake;
    animation-timing-function: ease-in-out;
    animation-duration: .9s;
    animation-iteration-count: 2;
    animation-delay: .9s;
  }
  .bell:hover {
    width: 18px;
  }

  #qmenu {
    width: auto;
    max-width: 210px;
    display: none;
    padding: 10px 16px;
    position: absolute;
    letter-spacing: 1px;
    background-color: #6f6f6f;
    z-index: 9999;
    text-align: left;
    }
  #qmenu .celalert {
      display: block;
      color: #fff;
      font-size: 14px;
      line-height: 15px;
      border: none;
      border-bottom: 1px solid #808080;
      padding: 8px 12px 8px 14px;
      border-radius: 0;
      margin: 0;
      background-color: transparent;
      box-shadow: none;
      line-height: 18px;
  }
  #qmenu span {
      display: block;
  }
  #qmenu ol {
      font-size: 12px;
      color: #ef8c8c;
      margin: 9px -10px;
      cursor: pointer;
      position: absolute;
  }
  #qmenu ol:hover {
      color: #fff;
  }
  #qmenu .celalert:hover {
      text-decoration: none;
      color: #f9f8f8;
      background-color: transparent;
  }

  .barras{
    cursor: pointer;
    /*opacity: 0.9;*/
  }
  .barras:hover{
    /*opacity: 1;*/
  }
  
  .alerta{
    display: none;
    margin: 3%;
    font-size: 16px;
    display: block;
    z-index: 99;
    position: absolute;
  }
  #espera_centro{display: none;}
  #espera_centro .loader{font-size: 8px;}
  
  html {
    font-size: 13px;
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
  }

  * {
    padding: 0;
    margin: 0;
    border: none;
  }

  body .login {
    background-color: #fff;
  }

  /*
  .oculta-mobile {
    display: none !important;
  }
  */

  /* Espera de Loading */
  .loader,
  .loader:before,
  .loader:after {background: #ff9800;-webkit-animation: load1 1s infinite ease-in-out;animation: load1 1s infinite ease-in-out;width: 1em;height: 4em;}
  .loader {display:block; margin: 0 22px; font-size: 4px; line-height: 5; color: #ff9800;text-indent: -9999em; position: relative; -webkit-transform: translateZ(0);-ms-transform: translateZ(0);transform: translateZ(0);-webkit-animation-delay: -0.16s;animation-delay: -0.16s; margin: 0 auto;}
  .loader:before,
  .loader:after {position: absolute;top: 0;content: '';}
  .loader:before {left: -1.5em;-webkit-animation-delay: -0.32s;animation-delay: -0.32s;}
  .loader:after {left: 1.5em;}
  @-webkit-keyframes load1 {0%,80%,100% {box-shadow: 0 0;height: 4em;}40% {box-shadow: 0 -2em;height: 5em;}}
  @keyframes load1 {0%,80%,100% {box-shadow: 0 0;height: 4em;}40% {box-shadow: 0 -2em;height: 5em;}}
  /*-----------------*/

  @keyframes shake {
    0%,
    100% {
      transform: rotate(0deg);
    }
    20%,
    60% {
      transform: rotate(6deg);
    }
    40%,
    80% {
      transform: rotate(-6deg);
    }
  }

  .container-index {
    width: 100vw;
    height: 95vh;
    display: flex;
    overflow: hidden;
    flex-wrap: wrap;
    position: absolute;
    bottom: 0;
  }

  .login aside {
    background-color: #30065c;
    border-top: 2px solid #491d75;
    order: 2;
    width: 100%;
    height: 20%;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    position: relative;
    bottom: 0;
    z-index: 2;
    min-height: auto;
  }

  .login aside .identidade {
    display: flex;
    width: 100%;
    align-items: end;
    flex-wrap: wrap;
    justify-content: space-around;
  }

  .login aside .identidade p {
    color: #fff;
    font-size: 1rem;
    line-height: 1.2rem;
    width: 50%;
    padding: 0;
    margin: 0;
    padding-left: 1rem;
    padding-bottom: 1rem;
    font-weight: 300;
  }

  .login aside .identidade img {
    width: 4rem;
    height: auto;
  }

  .login main {
    background-color: #fff;
    display: flex;
    align-items: center;
    order: 1;
    height: 80%;
    width: 100%;
    z-index: 1;
  }

  .forms {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
    text-align: center;
  }



  .formPin form {
    text-align: center;
  }

  .formPin h2 {
    font-size: 1.3rem;
    color: #737373;
    margin-bottom: 1rem;
    font-weight: 400;
  }

  .formPin .password {
    display: flex;
    grid-template-columns: repeat(4, 4rem);
    column-gap: 0.9rem;
    margin-bottom: 1rem;
    justify-content: center;
  }

  .formPin input[type=password] {
    /*height: 4.1rem;
    border-radius: 10%;
    background-color: #491f75;
    border: 1px solid rgba(255, 255, 255, 0.4);
    color: #737373;
    text-align: center;
    font-size: 2rem;*/
  }
 
  .formPin button {
    background-color: #340565;
    padding: 0.7rem 3.5rem;
    border: none;
    color: #fff;
    border-radius: 3px;
    margin-bottom: 2rem;
    font-size: 1rem;
    font-weight: 300;
    opacity: 0.9;
  }
  .formPin button:hover {opacity: 1.0;}

  .formPin a {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .formPin p {
    color: #737373;
    letter-spacing: 0.5px;
  }


  .formPin .esqueci {
    width: auto;
    height: auto;
    margin-bottom: 1rem;
  }

  .formPin a img { 
    width: 1rem;
    height: auto;
    padding-right: 0.5rem;
    opacity: 0.6;
  }

  .ocultarEsqueci {
    display: none;
  }

  .exibirEsqueci {
    display: block;
    position: absolute;
    top: 15%;
  }

  .formReceber {
    background-color: #fff;
    width: 20rem;
    padding: 1rem;
    border-radius: 5px;
    height: 20rem;
    z-index: 2 !important;
    position: absolute;
    left: 0%;
    right: 0%;
    margin: auto;
  }

  .formReceber form {
    display: flex;
    height: 100%;
    width: 100%;
    flex-wrap: wrap;
    justify-content: center;
  }

  .formReceber form p{
    width: 100%;
    text-align: center;
    padding: 10px;
    color: #340565;
  }

  .formReceber h2 {
    font-size: 1.2rem;
    text-align: center;
    color: #6b6b6b;
    align-self: center;
  }

  .formReceber label {
    font-size: 1rem;
    text-align: center;
    color: #959595;
    width: 100%;
    margin-top: 1rem;

  }

  .formReceber button {
    background-color: transparent;
    margin-bottom: 0.3rem;
    border: 1px solid #9a9a9a;
    border-radius: 5%;
    font-size: 1rem;
    min-width: 11rem;
    font-weight: 300;
  }

  .email {
    text-align: center;
    margin-top: 1rem;
  }

  .formReceber input[type=email] {
    width: 15rem;
    border: 1px solid #392d55;
    padding: 0px 10px;
    border-radius: 5px;
    height: 2.5rem;
    margin-top: 0.5rem;
  }


  .formReceber button[type=submit] {
    background-color: #340565;
    color: #fff;
    border-radius: 3px;
    border: none;
    font-weight: 300;
    height: 37px;
    cursor: pointer;
    opacity: 0.9;
    margin: 15px 0;
  }
  
  .formReceber button[type=submit]:hover {
    opacity: 1.0;
  }

  .fundoModal {
    position: absolute !important;
    top: 0 !important;
    left: 0 !important;
    z-index: 1 !important;
    width: 100vw;
    height: 100vh;
  }




  /* Painel */



  .painel {
    display: flex;
    background-color: #fff;
    align-items: start;
    height: 100vh;
    width: 99vw;
    margin: 0 auto;

  }

  aside {
    order: 1;
    background-color: #30065c;
    height: 100%;
    min-height: 700px;
  }

  .fechada {
    display: none;
  }

  .aberta {
    display: block;
  }

  .container-header {

    max-width: 100%;
  }

  .container-header img {
    padding-right: 1rem;
  }

  .botoes {
    margin-top: 1rem;
  }

  .container-botoes {
    display: flex;
    flex-direction: column;
  }

  .container-botoes a {
    padding: 1rem 0.8rem;
    font-size: 0.9rem;
    max-width: 20rem;
    text-decoration: none;
    color: #fff;
    display: block;
    /*padding: 0.5rem 1rem;*/
    border: 2px solid rgba(255, 255, 255, 0.2);
    width: 80%;
    margin: 0.2rem auto;
    border-radius: 5%;
    /*font-size: 0.7rem;*/
    text-align: center;
  }


  /* Painel */



  .container-detalhes {
    order: 2;
    display: flex;
    flex-wrap: wrap;
  }

  .bloco-detalhes {
    display: flex;
    width: 100%;
  }

  .topo-detalhe {
    visibility: hidden;
    width: 100%;
    padding: 1rem 1.2rem;
  }

  .topo-detalhe span {
    line-height: 30px;
  }

  .linha1-topo {
    display: block;
  }

  .linha1-topo img {
    height: 100%;
    width: auto;
  }

  .linha1-topo img:nth-of-type(1) {
    filter: invert();
    opacity: 0.2;
  }

  .linha2-topo {
    display: flex;
    column-gap: 2rem;
    ;
  }

  .linha2-topo .contrato,
  .linha2-topo .campanha {
    /*font-weight: 600;*/
    font-size: 1.4rem;
  }

  .linha2-topo .campanha .tit-campanha {
    opacity: 0.6;
  }

  .filtros {
    display: flex;
    padding: 1rem 1.2rem;
    width: 100%;
    justify-content: space-between;
    align-items: end;
  }

  .filtros form {
    position: relative;
  }

  .filtros form:nth-of-type(1) {
    width: 58%;
  }

  .filtros form:nth-of-type(2) {
    width: 38%;
  }

  .filtros form:nth-of-type(2) label {
    position: absolute;
    top: -7px;
    left: 7px;
    font-size: 0.8rem;
    background-color: #fff;
    padding: 0 0.3rem;
    color: #919191;
  }

  .detalhe {
    width: 100%;
  }

  .detalhe img {
    width: auto;
    height: 2rem;
    z-index: 99;
    position: relative;
  }

  .detalhe-filtros {
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
    /*width: 70%;
    row-gap: 1rem;*/
  }

  .loja-detalhe,
  .contratos-detalhe {
    width: 100%;
  }

  .filtros select,
  .loja-detalhe select,
  .contratos-detalhe select {
    border:1px solid rgba(0, 0, 0, 0.2);
    padding: 0.4rem;
    width: 100%;
    background-color: #fff;
  }

  .mais-filtros {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: start;
    padding-left: 1.3rem;
    column-gap: 2rem;
    ;
  }

  .mais {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .mais-filtros .mais label {
    font-size: 0.9rem;
    font-weight: 400;
  }



  .mais {
    width: 8rem;
    margin: 1rem 0;
  }

  .mais p,
  .mais .dados p {
    padding: 0;
    margin: 0;
    font-size: 1.5rem;
    font-weight: 600;
    color: #443a4b;
  }

  .mais .dados {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }

  .mais .dados .pct {
    color: rgba(0, 0, 0, 0.2);
  }

  .barra1,
  .barra2,
  .barra3,
  .barra4,
  .barra5,
  .barra6 {
    width: 100%;
    height: 0.4rem;
    background-color: #000;
  }

  .barra1,
  .barra2 {
    background-color: rgba(0, 0, 0, 0.2)
  }

  .barra3 {
    background-color: #8572bf;
  }

  .barra4 {
    background-color: #02a15b;
  }

  .barra5 {
    background-color: #fef367;
  }

  .barra6 {
    background-color: #e73139;
  }

  .com-input p {
    font-weight: 400;
    font-size: 0.9rem;
  }

  .sem-input label {
    width: 100%;
  }

  .sem-input:nth-of-type(2) {
    margin-right: 4rem;
  }

  .com-input label {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }

  .com-input.inicio label {
    justify-content: start;
  }

  .com-input.inicio label p {
    padding-right: 1rem;
  }



  .grf {
    margin-top: 2rem;

  }

  .grafs {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    row-gap: 1rem;
    column-gap: 1rem;
    padding: 1.2rem;
  }

  .grafs li {
    list-style-type: none;
    width: 91px;
    height: 91px;
    background-color: #E6E7E8;
  }

  .grafs li div {
    display: flex;
    align-items: end;
    height: 100%;
    justify-content: end;

  }

  .grafs l {
    width: 100%;
    height: auto;
  }


  ul l:nth-child(1) {
    position: absolute;
    width: 91px;
    /*background-color: #9175D6;*/
    border-radius: 3px 3px 0 0;
  }

  ul l:nth-child(2) {
    float: right;
    width: 15px;
    background-color: #ED3237;
    z-index: 2;
  }

  ul l:nth-child(3) {
    float: right;
    width: 15px;
    background-color: #FFCC29;
    z-index: 2;
  }

  ul l:nth-child(4) {
    float: right;
    width: 15px;
    background-color: #00A859;
    z-index: 2;
  }

  .modal-detalhes,
  .modal-detalhe {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 98vw;
    height: 100vh;
    overflow: hidden;
  }


  .containerAtivos,
  .containerAtivo {
    background-color: #fff;
    width: 25rem;
    height: 37rem;
    border: none;
    box-shadow: 0px 0px 5px rgb(0 0 0 / 20%);
  }

.fechar {
    background-color: transparent;
    opacity: 0.4;
    position: absolute;
    cursor: pointer;
    top: 0;
    right: 0;
    border: none!important;
  }

  .fechar:hover {
    opacity: 1.0;
  }
  .fechar img {
    width: 1.5rem;
    height: auto;
    filter: unset!important;
    opacity: 1!important;
  }


  .containerAtivos .area-ativos {
    height: 73%;
    overflow-y: scroll;
  }

  .containerAtivo .area-ativo {
    height: 64%;
    overflow-y: hidden;
    padding: 1rem;
  }

  .containerAtivo .area-ativo img {
    max-width: 100%;
  }

  .containerAtivos li {
    display: flex;
    justify-content: space-between;
    list-style-type: none;
    height: 2rem;
    align-items: center;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2)
  }

  .containerAtivos .dados-loja,
  .containerAtivo .dados-ativo {
    display: flex;
    padding: 1rem 2rem;
    height: 2rem;
    background-color: #f8f8f8;
    justify-content: start;
    align-items: center;
    border-bottom: 2px solid #e7e8eb;
    position: relative;
  }

  .dados-loja p:nth-of-type(1) {
    font-weight: 600;
    padding-right: 2rem;
    font-size: 1.2rem;
  }

  .dados-loja p:nth-of-type(2),
  .dados-ativo p:nth-of-type(1) {
    font-size: 1.2rem;
  }

  .containerAtivos .qtd-ativos {
    padding: 1rem;
    z-index: 9;
  }

  .qtd-ativos .qtd {
    color: #2f0a6c;
    font-weight: 600;
  }

  .containerAtivos .lista-ativos {
    padding: 1rem 2rem;
    z-index: 9;
  }

  .containerAtivos .lista-ativos img {
    width: 1rem;
    height: auto;
  }

  .containerAtivo .recursos {
    border: none;
  }

  .recursos {
    display: flex;
    height: 15%;
    align-items: center;
    justify-content: center;
    column-gap: 10%;
    border-top: 2px solid #e7e8eb;
    ;
  }

  .recursos .video,
  .recursos .zap {
    display: grid;
    grid-template-columns: 100%;
    justify-content: center;
  }



  .recursos .video img {
    width: 2rem;
    height: auto;
    justify-self: center;
    margin-bottom: 0.5rem;
  }

  .recursos .zap img {
    width: 1.5rem;
    height: auto;
    justify-self: center;
    margin-bottom: 0.5rem;
  }

  .curtir {
    justify-content: space-around;
  }

  .curtir .reprovado p {
    margin-top: -0.5rem;
  }

  .aprovado,
  .reprovado {
    text-align: center;
  }

  .img-aprovado,
  .img-reprovado {
    height: 3.5rem;
    display: flex;
    justify-content: center;
    margin-bottom: 0.5rem;
  }


  .img-aprovado {
    align-items: center;
  }

  .img-reprovado {
    align-items: center;
  }



  .aprovado img,
  .reprovado img {
    width: fit-content;
    height: 1.5rem;
  }


  /* Detalhes */

  #numeros{
    /*display:none;*/
  }

  .detalhes{
    min-height: 100vh;
  }

  .detalhes .detalhe{
    min-height: 100%;
    display: block;
  }

  .detalhes .bloco-detalhes{
    flex-direction: row;
  }

  .detalhes .topo-detalhe{
    padding: 0;
  }

  .detalhes .linha1-topo{
    height: auto;
    padding: 2rem;
    align-items: center;
    margin-bottom: 0;
  }

  .detalhes .detalhe-filtros{
    margin: 1rem 0 0 0;
    column-gap: 2rem;
  }

  .detalhes .detalhe-filtros select{
    font-size: 1.2rem;
  }

  .detalhes .linha-cinza{
    width: 100%;
    height: 1px;
    background-color: rgba(0, 0, 0, 0.2);
  }

  .detalhes .blocos-detalhe{
    padding: 2rem;
    display: flex;
    column-gap: 1rem;
    flex-wrap: wrap;
    justify-content: center;
    align-items: start;
    
    height: 350px;
  }


  .detalhes .bloco2-detalhe{
    visibility: hidden;
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
  }


  .detalhes .bloco1-detalhe{
    visibility: hidden;
    overflow: hidden;
  }


  .detalhes h2{
    width: 100%;
    z-index: 2;
    font-size: 1.8rem;
    margin-top: 2rem;
  }


  .detalhes .legenda{
    align-self: center;
  }

  .detalhes .legenda li{
    margin-bottom: 0.5rem;
  }

  .detalhes .legenda, .grf-barras{
    width: 47%;
  }

  .detalhes li{
    list-style-type: none;
    display: flex;
    column-gap: 2%;
  }

  .detalhes .bloco2-detalhe li .cor{
    width: 1rem;
    height: 1rem;
  }


  .grf-barras{
    height: 15rem;
    position: relative;
  }
  
  .grf-barras l{
    position: absolute;
    bottom: 0;
  }

  .grf-container{
    height: 100%;
    display: flex;
    column-gap: 0.2rem;
    position: absolute;
    top: -2rem;
  }

  .detalhes .barra1, .detalhes .barra2, .detalhes .barra3, .detalhes .barra4{
    background-color: #fff;
    height: 100%;
    width: 2.5rem;
    position: relative;
  }

  .detalhes .grf-container .baixo{
    height: 1.5rem;
    background-color: #000;
    color: #fff;
    position:absolute;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 0.9rem;
  }

  .detalhes .grf-container .cima{
    position: absolute;
    bottom: 1.7rem;
    border-radius: 3px 3px 0 0
  }


  .detalhes .grf-container .baixo, .detalhes .grf-container .cima{
    width: 100%;
  }

  .detalhes .bloco2-detalhe li:nth-of-type(1) .cor, .detalhes .grf-barras .grf-container .barra1 .cima{
    background-color: #1f0138;
  }
  .detalhes .bloco2-detalhe li:nth-of-type(2) .cor, .detalhes .grf-barras .grf-container .barra2 .cima{
    background-color: #30065e;
  }
  .detalhes .bloco2-detalhe li:nth-of-type(3) .cor, .detalhes .grf-barras .grf-container .barra3 .cima{
    background-color: #5e3988;
  }
  .detalhes .bloco2-detalhe li:nth-of-type(4) .cor, .detalhes .grf-barras .grf-container .barra4 .cima{
    background-color: #9380a6;
  }


  .detalhes .bloco3-detalhe li{
    margin-bottom: 1rem;
  }

  .detalhes .bloco3-detalhe .container-numeros{
    width: 100%;
  }

  .detalhes .bloco3-detalhe .container-numeros h2{
    margin-bottom: 2rem;
    /*width: 6.5rem;*/
    text-align: right;
  }

  .detalhes .bloco3-detalhe .container-numeros .numero, .detalhes .bloco3-detalhe .container-numeros .texto, .detalhes .bloco2-detalhe .numero, .detalhes .bloco2-detalhe .texto{
    font-size: 16px;
  }

  .detalhes .bloco3-detalhe .container-numeros .numero,.detalhes .bloco2-detalhe .numero {
    color: #32234c;
    font-weight: 900;
    text-align: right;
    min-width: 6.5rem;
  }

  .detalhes .bloco3-detalhe .container-numeros .texto, .detalhes .bloco2-detalhe .texto {
    color: #000;
  }

  .qtd-contratos {
    position: absolute;
    padding-left: 2rem;
    bottom:0;
  }

}

@media (min-width: 575px) {
  
  .bell {
    position: fixed;
    margin: 0.9rem 0 0px 1.3rem;
  }

  #qmenu {
    max-width: 300px;
  }

  html {
    font-size: 14px;
  }

  .detalhe-filtros {
    display: flex;
    flex-wrap: wrap;
    justify-content: right;
    width: 70%;
    /*row-gap: 1rem;*/
  }
  
  .fechada {
    display: flex;
  }

  .ocultar-tablet {
    display: none;
  }

  .login aside .identidade p {
    font-size: 0.8rem;
    line-height: 1rem;
  }

  .painel{
    position: relative;
    width: 98vw;
  }

  .container-detalhes {
    width: 100%;
    margin-left: 5rem;
    z-index: 1;
  }

  .linha1-topo {
    display: flex;
    justify-content: space-between;
    height: 2rem;
    margin-bottom: 1.5rem;
    padding: 0 1.2rem;
    margin-top: 2rem;
  }

  .linha2-topo {
    position: absolute;
    top: 3rem;
    height: 2rem;
    align-items: center;
  }

  .filtros form:nth-of-type(2) label {
    font-size: 0.6rem;
  }

  .sem-input:nth-of-type(2) {
    margin-right: 30%;
  }

  .mais p,
  .mais .dados p {
    font-size: 0.9rem;
  }


  .detalhes .container-detalhes{
    margin-left: auto;
    width: 95%;
    margin-right: 0;
  }

  .detalhes .detalhe{
    min-width: auto;
  }

  .detalhes .linha1-topo{
    justify-content: space-between;
    margin-top: 0;
  }

  .detalhes .bloco3-detalhe .container-numeros h2, .detalhes .bloco3-detalhe .container-numeros .numero{
    min-width: 6.5rem;
  }

  .detalhes .bloco1-detalhe{
    overflow-y: hidden;
  }

}


@media (min-width: 992px){

  .bell {
    margin: 0.9rem 0 0px 1.2rem;
  }

  #qmenu {
    max-width: 500px;
  }

  html {
    font-size: 13px;
  }

  .formPin .password {
    justify-content: left;
  }

  .loader {margin: 7px;}

  .grf-barras l{
    bottom: 36px;
  }

  .container-index {
    height: 100vh;
  }

  .login aside {
    order: 1;
    width: 14.5%;
    height: 100%;
    align-items: end;
    border-right: 2px solid #491d75;
    border-top: none;
  }

  .login aside .identidade {
    justify-content: start;
    ;
  }

  .login aside .identidade p {
    width: 100%;
    font-size: 1.2rem;
    line-height: 1.5rem;
    padding-left: 1.5rem;
  }

  .login aside .identidade img {
    margin-bottom: 3rem;
    padding-left: 1.5rem;
  }

  .login main {
    order: 2;
    height: 100%;
    width: 85%;
  }

  .forms {
    justify-content: start;
    margin-left: 2rem;
    text-align: left;
  }

  .formPin form {
    text-align: left;
  }

  .formPin a {
    justify-content: start;

  }

  .exibirEsqueci {
    left: 50%;
    top: 30%;
    height: auto;
    padding: 15px;
  }

  .filtros {
    width: 40%;
  }

  .oculta-mobile {
    display: block !important;
  }

  .filtros form {
    width: 45% !important;
  }

  .mais {
    width: 10rem;
  }

  .mais-filtros {
    align-items: end;
    width: 80%;
    justify-content: space-between;
  }

  .mais-filtros .mais label {
    font-size: 1.1rem;
  }

  .modal-detalhe {
    justify-content: end;
  }

  .containerAtivo {
    margin-right: 2rem;
  }

  .com-input p {
    font-weight: 400;
    font-size: 1.1rem;
  }

  .sem-input label {
    width: 100%;
  }

  .sem-input:nth-of-type(2) {
    margin-right: 0 !important;
  }

  .com-input label {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }

  .com-input.inicio label {
    justify-content: start;
  }

  .com-input.inicio label p {
    padding-right: 1rem;
  }

  .detalhe .topo-detalhe{
    z-index: 2;
  }

  .detalhes .container-detalhes{
    width: 84%;
  }

  .detalhes .container-detalhes.detalhe{
    overflow-x: hidden;
  }

  .detalhes .linha1-topo{
    width: 90%;
    justify-content: space-between;
  }

  .detalhes .detalhe-filtros{
    flex-wrap: nowrap;
    width: 50%;
    column-gap: 2rem;
    padding-left: 2rem;
  }

  .detalhes h2{
    padding-left: 1rem;
    font-size: 1.6rem;
    font-weight: 900;
  }

    .detalhes .bloco-detalhes{
      flex-direction: row;
      flex-wrap: wrap;
    }
  .detalhes .topo-detalhe, .detalhes .bloco3-detalhe{
    width: 100%;
  }

  .detalhe .bloco1-detalhe, .detalhe .bloco2-detalhe{
    width: 45%;
    border: none;
    overflow-y: hidden;
    z-index: 1;
  }

  .detalhe .bloco3-detalhe{
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    padding-left: 4rem;
    height: fit-content;
  }

  .detalhes .numeros{
    display: flex;
    justify-content: start;
  }
  .detalhes .numeros ul{
    width: 35%;
  }

  .detalhes .bloco3-detalhe .container-numeros h2{
    text-align: left;
  }

  .detalhes .bloco3-detalhe  .numero, .detalhes .bloco3-detalhe .texto{
    font-size: 1.3rem;
  }


  .detalhes .bloco2-detalhe{
    width: 40%;
    align-items: start;
  }

  .detalhes .bloco2-detalhe li{
    align-items: center;
  }

  .detalhes li .texto{
    font-size: 1.2rem;
  }

  .detalhes .bloco2-detalhe li .cor{
    width: 1.0rem;
    height: 1.0rem;
  }

  .detalhes .grf-container{
    top: -5rem;
  }

  .detalhes .grf-barras{
    height: 20rem;
  }

  .qtd-contratos{
    padding-top: 2.5rem;
    position: absolute;
    bottom: 3rem;
  padding-left: 2rem;
  }


  .detalhes .legenda{
    align-self: start;
    padding-top: 4rem;
  }


}

/*@media screen and (max-width: 1200px){
  .detalhes .container-detalhes{width: 95%;}
}*/


@media (min-width:1200px){
  .bell {
    margin: 3.6rem 0 0px 1rem;
  }
}


@media (min-width: 1400px) {
  html {
    font-size: 15px;
  }

  .linha1-topo img:nth-of-type(2) {
    width: auto;
    height: 3rem;
  }

  .filtros select {
    font-size: 1rem;
  }

  .container-detalhes {
    margin-left: 6rem;
  }

  .linha2-topo .contrato,
  .linha2-topo .campanha {
    font-size: 1.4rem;
  }


  .filtros form:nth-of-type(2) label {
    font-size: 1rem;
    top: -13px;
  }

  ul.grafs {
    column-gap: 1.7rem;
    row-gap: 1.7rem;
    justify-content: start;
  }

  .detalhes h2{
    padding-left: 0;
    font-size: 1.5rem;
    padding-left: 0;
  }


  .detalhes .detalhe-filtros{
    padding-left: 2rem;
  }


  .detalhes .detalhe-filtros select{
    font-size: 1rem;
  }


  .detalhes .container-detalhes.detalhe{
    width:83%;
  }

  .detalhes .blocos-detalhe{
    justify-content: start;
  }


  .detalhes .bloco1-detalhe{
    margin-top: 0;
  }

 }

/* Geral */

a {text-decoration: none; opacity: 0.8;}
a:hover {opacity: 1.0;}

/* Gráficos laterais */

.titulo-barras-laterais{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem;
  background-color: #f8f8f8;
  color: rgba(0, 0, 0, 0.6)
  }
  
  
  .obs-fotos-barras-laterais{
    padding: 2rem 1rem; 
    color: rgba(0, 0, 0, 0.6)
  }
  
  .legenda li{
    cursor: pointer;
  }
  
  
  .graf-associado-over{
    border-top:5px solid rgba(255, 255, 255, 0.2)
  }
  
  .graf-associado-out{
    border: none;
  }
  
  .container-caixa-barras-laterais{
  position: absolute;
  width:100vw;
  height: 100vh;
  top: 0;
  left: 0;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
  }
  
  .caixas-barras-laterais{
    width: 90%;
    max-width: 50rem;
    min-width: 335px;
    height: auto;
    background-color: #fff;
    box-shadow: 0 0 30px rgb(0 0 0 / 10%);
    border: 1px solid #ccc;
    z-index: 99;
  }
  
  .linha-graf-lateral{
    display: block;
    width: auto;
    margin: 0.5rem 0.7rem;
    /*font-size: 0.8rem;*/
    border-top: 1px solid #e3e3e3;
    padding: 0.2rem 0 0 0;
  }
  
  .cod{
    width: 7%;
    font-weight: 600;
    display: inline-block;
    vertical-align: top;
  }
  
  .desc{
    width: 40%;
    height: 1.5rem;
    color: rgba(0, 0, 0, 0.6);
    display: inline-block;
    vertical-align: top;
    padding: 0 8px;
  }
  
  .taxa{
    width: 7%;
    height: 25px; 
    background-color: #363631;
    color: #fff;
    display: inline-block;
    vertical-align: top;
    text-align: center;
    font-size: 12px;
    line-height: 26px;
    padding: 0 5px
  }
  
  .graf-lateral{
    background-color: #58377c;
    cursor:pointer;
    display: inline-block;
    vertical-align: top;
    height: 25px; 
  }
  
  .graf-lateral:hover{
    background-color: #45028e;
  }
  .fechar-barras-laterais{
    cursor: pointer;
  }

  #graf_lat{
    margin: 25px 0;
    padding: 0 20px;
  }

  .graf_lateral{
    display: block;
    width: auto;
    margin: 0 0 0.2rem 0;
    padding: 0.2rem 0 0 0;
    cursor: pointer;
    opacity: 0.8;
    border-bottom: 1px solid #ccc;
  }
  .graf_lateral:hover{
    opacity: 1.0;
    border-bottom: 1px solid rgb(179, 179, 179);
  }

  .graf_lateral l:nth-child(1) {
    display: inline-block;
    vertical-align: middle;
    color: #30065c;
    margin: 0 10px 0 0;
  }
  .graf_lateral l:nth-child(2) {
    width: auto;
    display: inline-block;
    vertical-align: middle;
    margin: 0 10px 0 0;
  }
  .graf_lateral l:nth-child(3) {
    display: inline-block;
    vertical-align: middle;
    color: #530c8e;
    font-size: 0.9rem;
  }
  .graf_lateral div{
    display: block;
    background-color: #30065c;
    height: 8px;
    border-radius: 3px;
  }

  .arrastavel {
    cursor: move;
  }

  .img_bt {
    width: 18px!important;
    cursor: pointer!important;
    filter: unset!important;
    opacity: 0.6!important;
  }
  .img_bt:hover {
    opacity: 1!important;
  }
  
  .icon_bt{
    padding: 0.2rem 0.3rem;
  }

  .icon_bt img{
    width: 1rem;
    display: block;
  }

  .modal_padrao {
    display: none;
    background-color: #fff;
    width: 70%;
    max-width: 25rem;
    height: auto;
    box-shadow: 0 0 30px rgb(0 0 0 / 10%);
    border: 1px solid #ccc;
    padding: 2rem;
    line-height: 1.6rem;
    z-index: 10000;
  }
  .modal_padrao div {
    padding: 0.5rem 1em;
  }
  .modal_padrao button {
    padding: 0.5rem 1em;
    cursor: pointer;
    border: 2px solid #e7e8eb;
    border-radius: 3px;
    opacity: 0.7;
  }
  .modal_padrao button:hover {
    opacity: 1.0;
  }

  input[type="date"] {
    cursor: default;
    border: 1px solid #ccc;
    padding: 0.4rem;
    background-color: #fff;
  }

  input {
    border: 1px solid #ccc;
    padding: 0.4rem;
  }

  .text_link {cursor: pointer; box-sizing: border-box; overflow: hidden; text-overflow: ellipsis; vertical-align: middle; white-space: nowrap;color: #2143f3!important; background-color: transparent;}
  .text_link:hover {text-decoration: underline;}

  .text_link_bk {cursor: pointer; box-sizing: border-box; overflow: hidden; text-overflow: ellipsis; vertical-align: middle; white-space: nowrap;color: #000!important; background-color: transparent;}
  .text_link_bk:hover {color: #7f25ca!important;}

  .modalprefs {
    display: none;
    position: absolute;
    background-color: #fff;
    max-width: 440px;
    width: 90%;
    height: auto;
    box-shadow: 0 0 30px rgb(0 0 0 / 10%);
    border: 1px solid #ccc;
    z-index: 999;
    margin: 0;
    box-sizing: border-box;
    right: 20px;
  }
  .modalprefsheader {
    cursor: move;
  }

  .modalprefs p {
    font-weight: unset;
  }

  .modalprefs div:nth-child(1) {
    display: flex;
    padding: 0.7rem 2rem;
    height: 2rem;
    background-color: #f8f8f8;
    justify-content: start;
    align-items: center;
    position: relative;
  }

  .modalprefs div:nth-child(2) {
    padding: 1rem 2rem;
  }

  .modalprefs label {
    margin: 0.8rem;
    display: inline-block;
  }

  .modalprefs label button {
    padding: 0.5rem 1em;
    cursor: pointer;
    border: 1px solid #e7e8eb;
    border-radius: 3px;
    opacity: 0.7;
    cursor: pointer;
  }
  .modalprefs label button:hover {
    opacity: 1.0;
  }

  .modalprefs label l {
    position: absolute;
    margin: -8px 0 0 7px;
    font-size: 12px;
    background-color: #fff;
    color: #919191;
    padding: 0 3px;
  }